"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.wrapSpawn = void 0;
const spawn = require("cross-spawn");
const logger_1 = require("../logger");
function wrapSpawn(cmd, args, projectDir) {
    return new Promise((resolve, reject) => {
        const installer = spawn(cmd, args, {
            cwd: projectDir,
            stdio: "inherit",
        });
        installer.on("error", (err) => {
            logger_1.logger.debug(err.stack);
        });
        installer.on("close", (code) => {
            if (code === 0) {
                return resolve();
            }
            return reject();
        });
    });
}
exports.wrapSpawn = wrapSpawn;
